Bug 993654 - Install info can't be stored in /etc/default/ovirt.
Install info can't be stored in /etc/default/ovirt.
Status: CLOSED NOTABUG
Product: oVirt
Classification: Community
Component: ovirt-node (Show other bugs)
3.2
All All
unspecified Severity medium
: ---
: ---
Assigned To: Mike Burns
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-06 07:17 EDT by bohai
Modified: 2016-04-26 09:41 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-15 09:50:16 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description bohai 2013-08-06 07:17:29 EDT
Description of problem:
After install ovirt-node, there is no info stored successfully in /etc/default/ovirt .Such as OVIRT_INIT is empty string...

Version-Release number of selected component (if applicable):
Latest.

How reproducible:
100%

Steps to Reproduce:
1.install ovirt-node
2.check /etc/default/ovirt
3.

Actual results:


Expected results:
Info specified when install the ovirt-node is stored in the /etc/default/ovirt

Additional info:
Nothing is stored in /etc/default/ovirt
Comment 1 bohai 2013-08-06 23:03:17 EDT
I found it is beacause of the call of functions.disable_firstboot() in function ovirt_boot_setup.


But why we rase what we wrote to the /etc/default/ovirt in first step?
Comment 2 Mike Burns 2013-08-15 09:50:16 EDT
We intentionally remove init from that file to avoid issues with installation loops.  It is only useful during the install process, but having it there during the normal boot can cause the system to reinstall and enter a loop or reinstall/reboot.  Other information in the default file is used at runtime, but the OVIRT_INIT value is not.

Note You need to log in before you can comment on or make changes to this bug.